## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOtherEncodingWriter Class Template Reference

`#include <XalanOtherEncodingWriter.hpp>`

Inheritance diagram for XalanOtherEncodingWriter:

[legend]
Collaboration diagram for XalanOtherEncodingWriter:

[legend]
List of all members.

## Public Types

- typedef XalanOtherEncodingWriter<
  Predicate, ConstantsType> ThisType
- typedef XalanDOMChar value_type

## Public Methods

- XalanOtherEncodingWriter (Writer &writer, MemoryManager &theMemoryManager)
- virtual ~XalanOtherEncodingWriter ()
- void outputNewline ()
    Output a line break. More...
- size_type writeCDATAChar (const XalanDOMChar chars[], size_type start, size_type length, bool &outsideCDATA)
    Writes CDATA chars , if not presentable, fixes it with addition CDATA sections. More...
- void writeNameChar (const XalanDOMChar *data, size_type theLength)
    Writes name characters. More...
- void writePIChars (const XalanDOMChar *data, size_type theLength)
    Writes PI characters. More...
- void writeCommentChars (const XalanDOMChar *data, size_type theLength)
    Writes comment characters. More...
- void write (const XalanDOMChar *theChars, size_type theLength)
- void write (const XalanDOMString &theChars)
- void write (XalanDOMChar theChar)
    Writes writes a UTF-16 code unit that isn't part of the surrogate pair. More...
- size_type write (const XalanDOMChar chars[], size_type start, size_type length)
- void writeSafe (const XalanDOMChar *theChars, size_type theLength)
- void write (const XalanDOMChar *theChars)
- void flushWriter ()
- void flushBuffer ()

## Friends

- class WriteCharRef
- class ThrowTranscodingException

### template<class Predicate, class ConstantsType> class XalanOtherEncodingWriter

## Member Typedef Documentation

template<class Predicate, class ConstantsType>
typedef XalanOtherEncodingWriter< Predicate, ConstantsType > XalanOtherEncodingWriter<Predicate, ConstantsType>::ThisType<Predicate, ConstantsType>

template<class Predicate, class ConstantsType>
typedef XalanDOMChar XalanOtherEncodingWriter<Predicate, ConstantsType>::value_type

## Constructor & Destructor Documentation

template<class Predicate, class ConstantsType>
XalanOtherEncodingWriter<Predicate, ConstantsType>::XalanOtherEncodingWriter<Predicate, ConstantsType> ( | Writer & writer,
| MemoryManager & theMemoryManager )

template<class Predicate, class ConstantsType>
XalanOtherEncodingWriter<Predicate, ConstantsType>::~XalanOtherEncodingWriter<Predicate, ConstantsType> ( | )`[virtual]`

## Member Function Documentation

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::flushBuffer ( | )

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::flushWriter ( | )

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::outputNewline ( | )

| Output a line break.

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::write ( | const XalanDOMChar * theChars )

template<class Predicate, class ConstantsType>
size_type XalanOtherEncodingWriter<Predicate, ConstantsType>::write ( | const XalanDOMChar chars[],
| size_type start,
| size_type length )

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::write ( | XalanDOMChar theChar )

| Writes writes a UTF-16 code unit that isn't part of the surrogate pair.

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::write ( | const XalanDOMString & theChars )

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::write ( | const XalanDOMChar * theChars,
| size_type theLength )

template<class Predicate, class ConstantsType>
size_type XalanOtherEncodingWriter<Predicate, ConstantsType>::writeCDATAChar ( | const XalanDOMChar chars[],
| size_type start,
| size_type length,
| bool & outsideCDATA )

| Writes CDATA chars , if not presentable, fixes it with addition CDATA sections.

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::writeCommentChars ( | const XalanDOMChar * data,
| size_type theLength )

| Writes comment characters. If a character is not representable, or must be written as a character reference for compatibility with XML 1.1, an exception is thrown.

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::writeNameChar ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name characters. If a character is not representable, an exception is thrown.

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::writePIChars ( | const XalanDOMChar * data,
| size_type theLength )

| Writes PI characters. If a character is not representable, an exception is thrown.

template<class Predicate, class ConstantsType>
void XalanOtherEncodingWriter<Predicate, ConstantsType>::writeSafe ( | const XalanDOMChar * theChars,
| size_type theLength )

## Friends And Related Function Documentation

template<class Predicate, class ConstantsType>
class ThrowTranscodingException`[friend]`

template<class Predicate, class ConstantsType>
class WriteCharRef`[friend]`

The documentation for this class was generated from the following file:

- XalanOtherEncodingWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.